libstdc++: std::tr2 Namespace Reference

libstdc++

std::tr2 Namespace Reference
Extensions

## Namespaces
namespace | __detail

## Classes
struct | __dynamic_bitset_base
struct | __reflection_typelist
struct | __reflection_typelist< _First, _Rest... >
struct | __reflection_typelist<>
struct | bases
class | bool_set
struct | direct_bases
class | dynamic_bitset

## Functions
bool | certainly (bool_set __b)
bool | contains (bool_set __s, bool_set __t)
bool | equals (bool_set __s, bool_set __t)
bool | is_emptyset (bool_set __b)
bool | is_indeterminate (bool_set __b)
bool | is_singleton (bool_set __b)
bool_set | operator!= (bool __s, bool_set __t)
bool_set | operator!= (bool_set __s, bool __t)
bool_set | operator!= (bool_set __s, bool_set __t)
bool_set | operator& (bool __s, bool_set __t)
bool_set | operator& (bool_set __s, bool __t)
template<typename _CharT, typename _Traits, typename _WordT, typename _Alloc>
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const dynamic_bitset< _WordT, _Alloc > &__x)
bool_set | operator== (bool __s, bool_set __t)
bool_set | operator== (bool_set __s, bool __t)
template<typename _CharT, typename _Traits, typename _WordT, typename _Alloc>
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, dynamic_bitset< _WordT, _Alloc > &__x)
bool_set | operator^ (bool __s, bool_set __t)
bool_set | operator^ (bool_set __s, bool __t)
bool_set | operator| (bool __s, bool_set __t)
bool_set | operator| (bool_set __s, bool __t)
bool | possibly (bool_set __b)
bool_set | set_complement (bool_set __b)
bool_set | set_intersection (bool __s, bool_set __t)
bool_set | set_intersection (bool_set __s, bool __t)
bool_set | set_intersection (bool_set __s, bool_set __t)
bool_set | set_union (bool __s, bool_set __t)
bool_set | set_union (bool_set __s, bool __t)
bool_set | set_union (bool_set __s, bool_set __t)
template<typename _WordT, typename _Alloc>
bool | operator!= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT, typename _Alloc>
bool | operator<= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT, typename _Alloc>
bool | operator> (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT, typename _Alloc>
bool | operator>= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT, typename _Alloc>
dynamic_bitset< _WordT, _Alloc > | operator& (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT, typename _Alloc>
dynamic_bitset< _WordT, _Alloc > | operator| (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT, typename _Alloc>
dynamic_bitset< _WordT, _Alloc > | operator^ (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT, typename _Alloc>
dynamic_bitset< _WordT, _Alloc > | operator- (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)

## Detailed Description

Namespace for non-standard "TR2" extensions.

## Function Documentation

## ◆ certainly()

bool std::tr2::certainly | ( | bool_set | __b | ) |
| inline

Definition at line 228 of file bool_set.

## ◆ contains()

bool std::tr2::contains | ( | bool_set | __s,
|  | bool_set | __t )
| inline

Definition at line 208 of file bool_set.

## ◆ equals()

bool std::tr2::equals | ( | bool_set | __s,
|  | bool_set | __t )
| inline

Definition at line 212 of file bool_set.

## ◆ is_emptyset()

bool std::tr2::is_emptyset | ( | bool_set | __b | ) |
| inline

Definition at line 216 of file bool_set.

## ◆ is_indeterminate()

bool std::tr2::is_indeterminate | ( | bool_set | __b | ) |
| inline

Definition at line 220 of file bool_set.

## ◆ is_singleton()

bool std::tr2::is_singleton | ( | bool_set | __b | ) |
| inline

Definition at line 224 of file bool_set.

## ◆ operator!=() [1/3]

bool_set std::tr2::operator!= | ( | bool | __s,
|  | bool_set | __t )
| inline

Definition at line 305 of file bool_set.

## ◆ operator!=() [2/3]

bool_set std::tr2::operator!= | ( | bool_set | __s,
|  | bool | __t )
| inline

Definition at line 309 of file bool_set.

## ◆ operator!=() [3/3]

bool_set std::tr2::operator!= | ( | bool_set | __s,
|  | bool_set | __t )
| inline

Definition at line 313 of file bool_set.

## ◆ operator&() [1/2]

bool_set std::tr2::operator& | ( | bool | __s,
|  | bool_set | __t )
| inline

Definition at line 286 of file bool_set.

## ◆ operator&() [2/2]

bool_set std::tr2::operator& | ( | bool_set | __s,
|  | bool | __t )
| inline

Definition at line 290 of file bool_set.

## ◆ operator==() [1/2]

bool_set std::tr2::operator== | ( | bool | __s,
|  | bool_set | __t )
| inline

Definition at line 297 of file bool_set.

## ◆ operator==() [2/2]

bool_set std::tr2::operator== | ( | bool_set | __s,
|  | bool | __t )
| inline

Definition at line 301 of file bool_set.

## ◆ operator^() [1/2]

bool_set std::tr2::operator^ | ( | bool | __s,
|  | bool_set | __t )
| inline

Definition at line 270 of file bool_set.

## ◆ operator^() [2/2]

bool_set std::tr2::operator^ | ( | bool_set | __s,
|  | bool | __t )
| inline

Definition at line 274 of file bool_set.

## ◆ operator|() [1/2]

bool_set std::tr2::operator| | ( | bool | __s,
|  | bool_set | __t )
| inline

Definition at line 278 of file bool_set.

## ◆ operator|() [2/2]

bool_set std::tr2::operator| | ( | bool_set | __s,
|  | bool | __t )
| inline

Definition at line 282 of file bool_set.

## ◆ possibly()

bool std::tr2::possibly | ( | bool_set | __b | ) |
| inline

Definition at line 232 of file bool_set.

## ◆ set_complement()

bool_set std::tr2::set_complement | ( | bool_set | __b | ) |
| inline

Definition at line 263 of file bool_set.

## ◆ set_intersection() [1/3]

bool_set std::tr2::set_intersection | ( | bool | __s,
|  | bool_set | __t )
| inline

Definition at line 251 of file bool_set.

## ◆ set_intersection() [2/3]

bool_set std::tr2::set_intersection | ( | bool_set | __s,
|  | bool | __t )
| inline

Definition at line 255 of file bool_set.

## ◆ set_intersection() [3/3]

bool_set std::tr2::set_intersection | ( | bool_set | __s,
|  | bool_set | __t )
| inline

Definition at line 259 of file bool_set.

## ◆ set_union() [1/3]

bool_set std::tr2::set_union | ( | bool | __s,
|  | bool_set | __t )
| inline

Definition at line 239 of file bool_set.

## ◆ set_union() [2/3]

bool_set std::tr2::set_union | ( | bool_set | __s,
|  | bool | __t )
| inline

Definition at line 243 of file bool_set.

## ◆ set_union() [3/3]

bool_set std::tr2::set_union | ( | bool_set | __s,
|  | bool_set | __t )
| inline

Definition at line 247 of file bool_set.